Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::split_fn Struct Reference

## Synopsis of methods
constexpr view< split_fn > | split {}

## Public Member Functions
template<typename Rng >
constexpr auto | operator() (Rng &&rng, range_value_t< Rng > val) const -> split_view< all_t< Rng >, single_view< range_value_t< Rng >>> requires ViewableRange< Rng > &&InputRange< Rng > &&IndirectlyComparable< iterator_t< Rng >, range_value_t< Rng > const *, ranges::equal_to >
template<typename Rng , typename Pattern >
constexpr auto | operator() (Rng &&rng, Pattern &&pattern) const -> split_view< all_t< Rng >, all_t< Pattern >> requires ViewableRange< Rng > &&InputRange< Rng > &&ViewableRange< Pattern > &&ForwardRange< Pattern > &&IndirectlyComparable< iterator_t< Rng >, iterator_t< Pattern >, ranges::equal_to > &&(ForwardRange< Rng >||detail::tiny_range< Pattern >)